From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 31 March 2006<P>

BK, I am indeed! Thanks!
<HR>
From: <a href="/blend/av.cgi?id=186">briana kassia</a><BR>
Date: 31 March 2006<P>

Well, Happiest of birthdays, Kirk. :) Thanks for gving us strangers and lovers so much of your time over the years. :)
<HR>
From: <a href="/blend/av.cgi?id=69">Savannah Haze</a><BR>
Date: 31 March 2006<P>

I posted the first part of a story on the soapbox since it isn't really "love related."  <BR>
<BR>
Let me know what you think!  I'm off to read some new submissions!
<HR>
From: <a href="/blend/av.cgi?id=69">Savannah Haze</a><BR>
Date: 31 March 2006<P>

B.K., <a href="/blend/wv.cgi?id=2006.03.30.21.46.16872">Mating Day At The Zoo</a>: is perfect for reading aloud.  I’ve got this little hip hop rhythm going though my head as I read it.  Makes me go “WHoooooo ha ha ha ha ha”  <BR>
<BR>
Darwin--My tongue searches the textures that are you from<a href="/blend/wv.cgi?id=2006.03.27.18.56.17494">spring</a>:  I think I need a cold shower.  Damn, that’s hot!  <BR>
<BR>
briana kassia, <a href="/blend/wv.cgi?id=2006.03.24.23.10.9687">Collection of the Artist</a>: is a lovely metaphor.  This is the first of yours I’ve read and I enjoyed it.<BR>
<BR>
Chris, There’s so much I like about <a href="/blend/wv.cgi?id=2006.03.23.18.49.22392">One Night in a Biker Bar Parking Lot</a>:, especially those last lines.  <BR>
<BR>
<BR>
Will read some more today.  I’m a bit behind.  <BR>

<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 31 March 2006<P>

****AHEM***** (in my best marilyn monroe voice... which i really can do btw)<BR>
<BR>
happy birthday to yooouuu, <BR>
happy birthday too yooouuu, <BR>
happy birthday to our friend kir-irk, <BR>
haaapy birthday tooo yooouu!!!<BR>
<BR>
with many many more!  thank you for all you do for us here at the blender.  i treasure this site more than i could ever get you to understand.  and, i value the fact that i was once in the presence of internet royalty!!  :)<BR>
<BR>
hope this is one of your best ever with many memories made.<BR>
<BR>
hugs, <BR>
deb
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 31 March 2006<P>

Kirk, Happy Happy Birthday to YOU! Hope you have as much fun on your birthday as me...take care...<BR>
Pam
<HR>
From: <a href="/blend/av.cgi?id=1582">abogadalbny</a><BR>
Date: 31 March 2006<P>

aparajita, about <a href="/blend/wv.cgi?id=2006.03.16.23.26.21835">nigritude commences</a>:<BR>
Aparajita:  That last line is . . . true poetry!!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 31 March 2006<P>

Hey Savannah hows everything by you? Glad to see you hanging out here again. Hope you will grace us with some writing. Mating day was a lark but you should have heard those monkeys wailing. It was awe inspiring ha. Thanks for the comment.<BR>
<BR>
Kirk did you just turn thirty? <BR>
<BR>
bk 
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 31 March 2006<P>

abogada:  thanks!  i really respect your work so i am flattered you commented on mine.
<HR>
From: <a href="/blend/av.cgi?id=161">malu lani</a><BR>
Date: 31 March 2006<P>

happy happy kirk!!  just passing through and saw it is your special day!  
<HR>